VPS

Get rescue mode status

get/vps/{vps_id}/rescue

Check whether your server is in rescue mode, the addresses to reach it on and the result of the last rescue operation. Also tells you whether your firewall blocks SSH.

Authorization

Authorization
Authorization*string

Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.

Path parameters

vps_id*integer
Range1 ≤ value

Responses

Successful Response

application/json

available*boolean

Whether rescue mode can be enabled right now (the rescue system is in the catalogue).

state?string | null
Value in"entering""active""exiting""failed"
configured?boolean
Defaultfalse
started_at?string | null
Formatdate-time
ip_addresses?array<string>
ssh_firewall_warning?boolean
Defaultfalse
last_task?VPSRescueTaskOut | null

Last rescue operation of the server.

Properties (4)
task_type*string
status*string
result_message?string | null
updated_at?string | null
Formatdate-time